package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.CreatureSpawnEvent;

import java.util.Arrays;

public class CreatureSpawnListener implements Listener {
    @EventHandler
    static void onCreatureSpawn(CreatureSpawnEvent event) {
        Location entityLocation = event.getEntity().getLocation();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(entityLocation.getWorld())) {
            event.setCancelled(true);
        }
    }
}
